Hooks:PostHook( WeaponFactoryTweakData, "init", "seburoM5Init", function(self)

self.wpn_fps_pis_seburo.adds = {
		wpn_fps_upg_fl_pis_laser = {"wpn_fps_pis_g26_fl_adapter"},
		wpn_fps_upg_fl_pis_tlr1 = {"wpn_fps_pis_g26_fl_adapter"},
		wpn_fps_upg_fl_pis_crimson = {"wpn_fps_pis_g26_fl_adapter"},
		wpn_fps_upg_fl_pis_x400v = {"wpn_fps_pis_g26_fl_adapter"},
		wpn_fps_upg_fl_pis_m3x = {"wpn_fps_pis_g26_fl_adapter"}
		}
self.wpn_fps_pis_seburo.override = {
	wpn_fps_upg_o_rmr = {parent = "slide", a_obj = "a_seburo5rds", override = {
	wpn_fps_pis_seburo_ro_std = {unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy"},
	wpn_fps_pis_seburo_fo_std = {unit = "units/payday2/weapons/wpn_upg_dummy/wpn_upg_dummy"}},
	stance_mod = {
			wpn_fps_pis_seburo = {translation = Vector3(0, 0, -1)}}},
	wpn_fps_pis_seburo_f_std = {a_obj = "a_seburo5re_body" },
	wpn_fps_pis_seburo_f_silver = {a_obj = "a_seburo5re_body" },
	wpn_fps_pis_seburo_b_std = {a_obj = "a_seburo5re_body" },
	wpn_fps_pis_seburo_g_std = {a_obj = "a_seburo5re_body" },
	wpn_fps_pis_seburo_g_wood = {a_obj = "a_seburo5re_body" },
	wpn_fps_pis_seburo_g_s9 = {a_obj = "a_seburo5re_body" },
	wpn_fps_pis_seburo_s_std = {a_obj = "a_seburo5re_sl" },
	wpn_fps_pis_seburo_s_silver = {a_obj = "a_seburo5re_sl" },
	wpn_fps_pis_seburo_s_s9 = {a_obj = "a_seburo5re_sl" },
	wpn_fps_pis_seburo_fo_std = {a_obj = "a_seburo5re_sl" },
	wpn_fps_pis_seburo_ro_std = {a_obj = "a_seburo5re_sl" },
	wpn_fps_pis_seburo_h_std = {a_obj = "a_seburo5re_bolt" },
	wpn_fps_pis_seburo_m_std = {a_obj = "a_seburo5re_m" },
	wpn_fps_pis_seburo_m_extended = {a_obj = "a_seburo5ext_m",stats = {
			extra_ammo = 6,
			reload = -1,
			concealment = -2
		} }
	}


self.parts.wpn_fps_pis_seburo_autofire.weapon_hold_override = {
				bm_w_x_seburo 	= "jowi_pistol",
				bm_w_seburo 	= "glock"
			}

self.parts.wpn_fps_pis_seburo_b_dummy.override = {}
self.parts.wpn_fps_pis_seburo_b_dummy.weapon_stance_override = {
				bm_w_seburo = "seburo5_ads"
			}

self.parts.wpn_fps_pis_seburo_s_silver.animations = {
	magazine_empty="last_recoil",
	reload = "reload",
	reload_not_empty = "reload_not_empty",
	fire = "recoil",
	fire_steelsight = "recoil"
}
self.parts.wpn_fps_pis_seburo_s_s9.animations = {
	magazine_empty="last_recoil",
	reload = "reload",
	reload_not_empty = "reload_not_empty",
	fire = "recoil",
	fire_steelsight = "recoil"
}
self.parts.wpn_fps_pis_seburo_s_std.animations = {
	magazine_empty="last_recoil",
	reload = "reload",
	reload_not_empty = "reload_not_empty",
	fire = "recoil",
	fire_steelsight = "recoil"
}
self.parts.wpn_fps_pis_seburo_ro_std.animations = {
	magazine_empty="last_recoil",
	reload = "reload",
	reload_not_empty = "reload_not_empty",
	fire = "recoil",
	fire_steelsight = "recoil"
}
self.parts.wpn_fps_pis_seburo_fo_std.animations = {
	magazine_empty="last_recoil",
	reload = "reload",
	reload_not_empty = "reload_not_empty",
	fire = "recoil",
	fire_steelsight = "recoil"
}
self.parts.wpn_fps_pis_seburo_h_std.animations = {
	magazine_empty="last_recoil",
	reload = "reload",
	reload_not_empty = "reload_not_empty",
	fire = "recoil",
	fire_steelsight = "recoil"
}


self.wpn_fps_pis_x_seburo.animations = {
		reload_not_empty = "reload_not_empty_right",
		fire = "recoil",
		fire_steelsight = "recoil",
		reload_left = "reload_left",
		reload_not_empty_left = "reload_not_empty_left",
		reload = "reload_right",
		magazine_empty = "last_recoil"
		}
self.wpn_fps_pis_x_seburo.override = {
	wpn_fps_pis_seburo_f_std = {a_obj = "a_seburo5re_body" },
	wpn_fps_pis_seburo_f_silver = {a_obj = "a_seburo5re_body" },
	wpn_fps_pis_seburo_b_std = {a_obj = "a_seburo5re_body" },
	wpn_fps_pis_seburo_g_std = {a_obj = "a_seburo5re_body" },
	wpn_fps_pis_seburo_g_wood = {a_obj = "a_seburo5re_body" },
	wpn_fps_pis_seburo_g_s9 = {a_obj = "a_seburo5re_body" },
	wpn_fps_pis_seburo_m_extended = {a_obj = "a_seburo5ext_m" },
	wpn_fps_pis_seburo_m_std = {a_obj = "a_seburo5re_m", animations = {
		reload = "reload_right",
		reload_not_empty = "reload_not_empty_right",
		reload_left = "reload_left",
		reload_not_empty_left = "reload_not_empty_left"
	}},
	wpn_fps_pis_seburo_s_std = {a_obj = "a_seburo5re_sl", animations = {
		reload_not_empty = "reload_not_empty_right",
		fire = "recoil",
		fire_steelsight = "recoil",
		reload_left = "reload_left",
		reload_not_empty_left = "reload_not_empty_left",
		reload = "reload_right",
		magazine_empty = "last_recoil"
	}},
	wpn_fps_pis_seburo_s_silver = {a_obj = "a_seburo5re_sl", animations = {
		reload_not_empty = "reload_not_empty_right",
		fire = "recoil",
		fire_steelsight = "recoil",
		reload_left = "reload_left",
		reload_not_empty_left = "reload_not_empty_left",
		reload = "reload_right",
		magazine_empty = "last_recoil"
	}},
	wpn_fps_pis_seburo_s_s9 = {a_obj = "a_seburo5re_sl", animations = {
		reload_not_empty = "reload_not_empty_right",
		fire = "recoil",
		fire_steelsight = "recoil",
		reload_left = "reload_left",
		reload_not_empty_left = "reload_not_empty_left",
		reload = "reload_right",
		magazine_empty = "last_recoil"
	}},
	wpn_fps_pis_seburo_ro_std = {a_obj = "a_seburo5re_sl", animations = {
		reload_not_empty = "reload_not_empty_right",
		fire = "recoil",
		fire_steelsight = "recoil",
		reload_left = "reload_left",
		reload_not_empty_left = "reload_not_empty_left",
		reload = "reload_right",
		magazine_empty = "last_recoil"
	}},
	wpn_fps_pis_seburo_fo_std = {a_obj = "a_seburo5re_sl", animations = {
		reload_not_empty = "reload_not_empty_right",
		fire = "recoil",
		fire_steelsight = "recoil",
		reload_left = "reload_left",
		reload_not_empty_left = "reload_not_empty_left",
		reload = "reload_right",
		magazine_empty = "last_recoil"
	}},
	wpn_fps_pis_seburo_h_std = {a_obj = "a_seburo5re_bolt", animations = {
		reload_left = "reload_left",
		fire = "recoil",
		fire_steelsight = "recoil",
		reload = "reload_right",
		magazine_empty = "last_recoil"
	}}
}

local seburo_exts = {
	"wpn_fps_upg_ns_pis_medium",
	"wpn_fps_upg_ns_pis_medium",
	"wpn_fps_upg_ns_pis_small",
	"wpn_fps_upg_ns_pis_large_kac",
	"wpn_fps_upg_ns_pis_medium_gem",
	"wpn_fps_upg_ns_pis_medium_slim",
	"wpn_fps_upg_ns_pis_jungle",
	"wpn_fps_upg_ns_pis_meatgrinder",
	"wpn_fps_upg_ns_pis_ipsccomp",
	"wpn_fps_upg_pis_ns_flash",
	"wpn_fps_upg_ns_pis_large"
	}
	for i, part_id in ipairs(seburo_exts) do
		self.wpn_fps_pis_seburo.override[part_id] = {a_obj = "a_ns",parent = "barrel"}
		self.wpn_fps_pis_x_seburo.override[part_id] = {a_obj = "a_ns",parent = "barrel"}
	end
	for i, part_id in ipairs(seburo_exts) do
		self.parts.wpn_fps_pis_seburo_b_dummy.override[part_id] = {a_obj = "a_seburo5ns"}
	end
--[[
	local seburo_fls = {
	"wpn_fps_upg_fl_pis_laser",
	"wpn_fps_upg_fl_pis_tlr1",
	"wpn_fps_upg_fl_pis_crimson",
	"wpn_fps_upg_fl_pis_x400v",
	"wpn_fps_upg_fl_pis_m3x",
	"wpn_fps_pis_g26_fl_adapter"
	}
	for i, part_id in ipairs(seburo_fls) do
		self.wpn_fps_pis_seburo.override[part_id] = {a_obj = "a_seburo5fl"}
		self.wpn_fps_pis_x_seburo.override[part_id] = {a_obj = "a_seburo5fl"}
	end
	--]]
	self.parts.wpn_fps_pis_x_seburo_sight_up = {
		type = "gadget",
		sub_type = "second_sight",
		a_obj = "a_os",
		parent = "barrel",
		name_id = "bm_wp_x_seburo_sight_up",
		unit = "units/mods/weapons/wpn_fps_pis_seburo_pts/wpn_fps_pis_x_seburo_sight_up",
		stats = {
			value = 1,
			recoil = 0,
			spread = 0,
			gadget_zoom = 1
		},
		stance_mod = {
			wpn_fps_pis_x_seburo = {
				translation = Vector3(-11.1, -10, 4.1),
				rotation = Rotation(0, 0, 0)
			}
		},
		perks = {"gadget"}
	}
	
end )